
D4Science Infrastructure - Incident #13326

Shared Folder OceanographyCourse not accessible from Workspace portlet

Feb 12, 2019 04:09 PM - Massimiliano Assante

Status: Closed Start date: Feb 12, 2019

Priority: High Due date:  

Assignee: Lucio Lelii % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: No   

Infrastructure: Production   

Description

When I click in the Workspace tree on the folder below i get "Error on getting items for grid. Try again"

Folder Name: OceanographyCourse

Id: a5209f30-6943-4ff0-b4ca-fb567b2c2fab

Owner is Morten Holdt 

History

#1 - Feb 12, 2019 04:49 PM - Francesco Mangiacrapa

- File OceanographyCourse Properties.png added

- Status changed from New to In Progress

- Assignee changed from Francesco Mangiacrapa to Lucio Lelii

#3 - Feb 12, 2019 05:42 PM - Lucio Lelii

it seems that the acl are not assigned and since the sharing and usharing is still done via HL I have to check that library, I don't know how long it

takes to solve this issue

#4 - Feb 13, 2019 09:01 AM - Massimiliano Assante

If it regards only my user it is not a big deal. If it affects every user in the group than we have a big issue because the folder is used by the Online

Training application, which we are planning to offer in RISIS2 project. Kindly ask @francesco.mangiacrapa@isti.cnr.it to test if the issue is affecting

the Online Training application on the current course (Oceanography) and on the future ones (if any).

#6 - Feb 13, 2019 10:28 AM - Massimiliano Assante

The files in the folder are accessible with the courses portlet (https://bluebridge.d4science.org/group/onlineoceanography/available-courses) 

The courses portlet uses the HomeLibrary.

#7 - Feb 13, 2019 10:56 AM - Francesco Mangiacrapa

Massimiliano Assante wrote:

The files in the folder are accessible with the courses portlet (https://bluebridge.d4science.org/group/onlineoceanography/available-courses) 

The courses portlet uses the HomeLibrary.

 That folder (see attachment) is shared with the READ_ONLY permission with the group

"d4science.research-infrastructures.eu-D4Research-OnlineOceanography" that should be the VRE (alias all the members of "OnlineOceanography"

VRE). Therefore, the folder must appear in the workspace of OnlineOceanography's members.

In fact, the folder/course for me (and Massimiliano and the other members) is available at:

https://services.d4science.org/group/onlineoceanography/available-courses

Now, my questions are:

1. @massimiliano.assante@isti.cnr.it why is not available for me an option "Go to OnlineOceanography" from the gateway 

https://services.d4science.org/? Is it hidden?

2. @lucio.lelii@isti.cnr.it the group "d4science.research-infrastructures.eu-D4Research-OnlineOceanography" should be resolved with

OnlineOceanography's members through HL and this logic seems is not working. Could you write a script to fix the issue? Otherwise, the issue
will remain forever... 

#8 - Jun 28, 2019 03:34 PM - Lucio Lelii

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

#9 - Jun 28, 2019 05:40 PM - Lucio Lelii

- Status changed from Feedback to Closed

Files

OceanographyCourse Properties.png 42.1 KB Feb 12, 2019 Francesco Mangiacrapa
